'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  applyMiddleware: function applyMiddleware(req, next) {
    var token = localStorage.getItem('apToken');

    if (!token) return next();

    if (!req.options.headers) req.options.headers = new Headers();

    req.options.headers.authorization = 'Bearer ' + token;
    next();
  }
};