'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _passport = require('passport');

var _passport2 = _interopRequireDefault(_passport);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO needs to move to local dir / package

var resolvers = {

  RootMutation: {
    passportLoginEmail: function passportLoginEmail(root, args) {
      var _this = this;

      return new Promise(function (resolve, reject) {

        _passport2.default.authenticate('local', function (err, user, info) {

          if (err) return reject(err);

          if (!user || info) return resolve({ error: info, token: "", userId: "" });

          resolve({
            error: "",
            token: _this.createTokenFromUser(user),
            userId: _this.mapUserToUserId(user)
          });
        })({ query: args }); // fake req.query using args from graphQL
      });
    }
  }

};

exports.default = resolvers;