'use strict';

var _rethinkdbdash = require('./rethinkdbdash');

var _rethinkdbdash2 = _interopRequireDefault(_rethinkdbdash);

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_chai2.default.should();

describe('RethinkDBDashDriver', function () {

  describe('constructor', function () {

    it('instantiates with an instance and table name', function () {

      var instance = {
        table: function table(userTableName) {
          return userTableName;
        }
      };
      var userTableName = 'users';

      var db = new _rethinkdbdash2.default(instance, userTableName);

      db.r.should.equal(instance);
      db.users.should.equal(userTableName);
    });
  });
});